6 Replies Latest reply on Sep 15, 2010 9:15 AM by dr_pompeii

    Doubt about FlexBuilder 4 Plugin Eclipse Helios/Ganymede

    dr_pompeii

      Dear Members

       

      I just downloaded some days ago the two Adobe Flex Builder 4 installers, the standalone and plugin for Eclipse

       

      I can see clearly that for Adobe Flex Builder 4 standalone has its own .exe like FlashBuilder.exe

       

      Now here the confusion

       

      I have the Eclipse JEE Helios already installed in my pc and then I execute Adobe Flex Builder 4 Plugin installer,

      in some point it ask for to choice an option of two

       

      1) Use the Eclipse Ganymede which is already incorporated/integrated with Flex Builder

      or

      2) Select the target/directory location of Eclipse (I use this , to Helios)

       

      After of the installation, a directory for Flex Builder 4 Plugin is created

      where I can see many folders, but these two specially

       

      • eclipse
      • eclipse-host-distro (this is the Eclipse Ganymede location, which is installed anyway, even when I chosen the Helios' target location )

       

      After to see the contents for each folder the second has eclipse.exe

       

      These are my doubts

       

      1) When I execute Eclipse JEE Helios and I create a Flex Project, the question is, Helios call some special .exe to execute the Flex Plugin to work with Flex environment? If yes, which is exactly?

       

      2) If I execute the eclipse.exe from eclipse-host-distro directly it open Eclipse Ganymede, therefore according point (1), again, exactly how Eclipse Helios open the flex environment?, since in Adobe Flex Builder 4 Plugin directory installation only exists Eclipse Ganymede, why not exists a problem or conflict while the runtime execution of Eclipse Helios which apparently would not work with Eclipse Ganymede

       

      Thanks in advanced

        • 1. Re: Doubt about FlexBuilder 4 Plugin Eclipse Helios/Ganymede
          C. Agruss (Adobe) Level 3

          Hi Manuel,

           

          There's no hidden exe that gets called by Helios - the FB plugins are being loaded into Helios by virtue of the link you'll find in your Helios dropins folder.

           

          The copy of eclipse bundled with FB4 (please see its eclipse.ini file) contain some customized memory settings, so you might want to copy those vmargs memory settings over to your copy of helios as well, to make sure the FB4 plugins have enough memory to run efficiently.

           

          -Chris

          • 2. Re: Doubt about FlexBuilder 4 Plugin Eclipse Helios/Ganymede
            dr_pompeii Level 1

            Hello Chris

             

            Thanks for the reply

             

            There's no hidden exe that gets called by Helios - the FB plugins are being loaded into Helios by virtue of the link you'll find in your Helios dropins folder.

            Oh I see now, I thought in the inverse order

             

            The copy of eclipse bundled with FB4 (please see its eclipse.ini file) contain some customized memory settings, so you might want to copy those vmargs memory settings over to your copy of helios as well, to make sure the FB4 plugins have enough memory to run efficiently.

            Thanks for the tip

             

            I have a doubt, help me to clarify

             

            For FB itself, exists some important difference or observation if

             

            • I use FB with the embedded Eclipse Ganymede

            against

            • FB within Eclipse Helios

             

            Thanks in advanced

            • 3. Re: Doubt about FlexBuilder 4 Plugin Eclipse Helios/Ganymede
              C. Agruss (Adobe) Level 3

              Although we bundled FB4 Plug-in with Ganymede (3.4), we packaged FB4 Standalone with Galileo (3.5).

               

              FB4 Plug-in supports eclipse 3.4.2 and higher, and has received a good bit of testing when plugged into Galileo and Helios now too.

               

              The recommended memory settings in the vmargs section of eclipse.ini will generally still apply to Galileo and Helios as well:

              -Xms256m

              -Xmx512m

              -XX:MaxPermSize=256m

              -XX:PermSize=64m

               

              -Chris

              • 4. Re: Doubt about FlexBuilder 4 Plugin Eclipse Helios/Ganymede
                dr_pompeii Level 1

                Hello Chris

                 

                 

                Thanks for the reply

                 

                Although we bundled FB4 Plug-in with Ganymede (3.4), we packaged FB4 Standalone with Galileo (3.5).

                 

                 

                Confuse, Can you expand the bold part?, you mean the other type of Adobe FB4 installer right?, but if is the standalone release it has no some bundle Eclipse release

                 

                FB4 Plug-in supports eclipse 3.4.2 and higher, and has received a good bit of testing when plugged into Galileo and Helios now too.

                Sounds good =)

                The recommended memory settings in the vmargs section of eclipse.ini will generally still apply to Galileo and Helios as well:

                -Xms256m
                -Xmx512m
                -XX:MaxPermSize=256m
                -XX:PermSize=64m

                Thanks for the support

                 

                Question:

                Do you know when Adobe would release a new FB4.xxx installer plugin version but with bundle Eclipse Helios?

                 

                Thanks in advanced

                 

                -Manuel

                • 5. Re: Doubt about FlexBuilder 4 Plugin Eclipse Helios/Ganymede
                  C. Agruss (Adobe) Level 3

                  Hi Manuel,

                   

                  > Although we bundled FB4 Plug-in with Ganymede (3.4), we packaged FB4 Standalone with Galileo (3.5).

                   

                  The bold part means that FB4 Standalone uses eclipse 3.5 platform plugins under the hood. If you look in the Installation Details dialog of FB4 Standalone, you can find the exact eclipse feature and plugin versions included.

                   

                  > Do you know when Adobe would release a new FB4.xxx installer plugin version but with bundle Eclipse Helios?

                   

                  The next release of FB (currently in testing) bundles Helios, but we're not allowed to discuss release dates yet. You don't need to wait for that though, because FB4 Plug-in should work fine with Helios.

                   

                  Are you having any specific problems running FB4 Plug-in with Helios?

                   

                  -Chris

                  • 6. Re: Doubt about FlexBuilder 4 Plugin Eclipse Helios/Ganymede
                    dr_pompeii Level 1

                    Hello Chris

                     

                    Thanks really for your support, I really appreciate

                     

                     

                    If you look in the Installation Details dialog of FB4 Standalone, you can find the exact eclipse feature and plugin versions included.

                     

                    OK, thanks, I understand

                     

                     

                    The next release of FB (currently in testing) bundles Helios, but we're not allowed to discuss release dates yet. You don't need to wait for that though, because FB4 Plug-in should work fine with Helios.

                    OK

                     

                     

                    Are you having any specific problems running FB4 Plug-in with Helios?

                     

                    No, just wondered why FB4 came with an old bundle Eclipse version and work well with Helios without conflicts

                     

                    Thanks a lot for your support

                     

                    -Manuel